Subject: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Howard Melman <[email-masked]>
Date: Wed, 20 Apr 2022 10:53:07 -0400

Minor thing: When repeat-mode is enabled it calls message with:

  "Repeat mode is enabled for %d commands and %d keymaps; see `describe-repeat-maps'."

I'm working on my configuration and of all the other minor-modes
I enable by calling from lisp, none of them print such a message,
so this stands out when I'm looking at *Messages*.

Modes such as this defined with define-minor-mode only print their
enabled/disabled message if called-interactively-p.  Perhaps
repeat-mode should do this for this message too.

Howard

In GNU Emacs 28.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G95))
of 2022-04-04 built on builder10-14.lan
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.6.5